INSTGRP 	?= "root"
MANGRP 		?= "@mangrp@"
INSTUSR 	?= "root"

BLDHOME		= .

CXX		= i686-pc-linux-gnu-g++ -std=gnu++17
CC		= i686-pc-linux-gnu-gcc
LD		= i686-pc-linux-gnu-g++ -std=gnu++17
CCLD		= i686-pc-linux-gnu-gcc

# Set a number of warnings to silent; some of our dependent libraries (asio) and generated code (protobuf)
# make current gcc/clang awful cranky under -wall

LDFLAGS		+= -Wl,-O1 -Wl,--as-needed -Wl,--defsym=__gentoo_check_ldflags__=0 -rdynamic
CFLAGS		+= -Wall -Wno-format-truncation -Wno-unused-function -g -I. -fPIE -I/usr/include/libnm -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -I/usr/lib/libffi/include -pthread -I/usr/include/libmount -I/usr/include/blkid  -I/usr/include/libnl3   -pthread  -I/usr/include/dbus-1.0 -I/usr/lib/dbus-1.0/include  
CXXFLAGS 	+= -Wall -Wno-deprecated-declarations -Wno-format-truncation -Wno-unused-local-typedefs -Wno-unused-function -Wno-infinite-recursion -g -I. -fPIE  -mtune=pentium-m -pipe -fomit-frame-pointer -frecord-gcc-switches   -DKS_STR_ENCODING_NONE -I/usr/include/dbus-1.0 -I/usr/lib/dbus-1.0/include  
CPPFLAGS 	+=  

INSTALL		= /usr/lib/portage/python3.11/ebuild-helpers/xattr/install -c
INSTALL_DATA = ${INSTALL} -m 644
INSTALL_PROGRAM = ${INSTALL}
INSTALL_SCRIPT = ${INSTALL}
INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@

CXXLIBS 	+=  -lstdc++

LIBS		+= -lcap  -ldw -ldl -lz -latomic -lpcre2-8 -lsqlite3 -lsensors
KSLIBS		+=  -lpthread -lprotobuf   -lssl -lcrypto 

PTHREADLIBS = -lpthread
CAPLIBS		= -lcap -lwebsockets -lcap 
NETLINKLIBS	= -lnl-genl-3 -lnl-3 
AIRCAPLIBS	= @airpcaplib@

PROTOLIBS 	= -lprotobuf 
PROTOCFLAGS	= 
PROTOCBIN 	?= protoc

PROTOCLIBS	= -lprotobuf-c 
PROCOCCFLAGS	= 
PROTOCCBIN	?= protoc-c

PTHREADCFLAGS = -pthread
NMFLAGS		= -I/usr/include/libnm -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -I/usr/lib/libffi/include -pthread -I/usr/include/libmount -I/usr/include/blkid 
NMLIBS		= -lnm -lgio-2.0 -lgobject-2.0 -lglib-2.0 

PCAPLIBS	= -lpcap 

LIBMLIB		= -lm

LIBUBERTOOTHLIBS = -lubertooth
LIBUBERTOOTHCFLAGS = 

LIBBTBBLIBS = -lbtbb
LIBBTBBCFLAGS = 

LIBUSBLIBS = -lusb-1.0 
LIBUSBCFLAGS = -I/usr/include/libusb-1.0 

LIBWSLIBS = -lwebsockets -lcap 
LIBWSCFLAGS = 

SUIDGROUP 	= kismet

DATASOURCE_LIBS	+= $(CAPLIBS) -lpthread -lprotobuf-c  -lm

PYTHON		?= python3


prefix 		= /usr
exec_prefix = ${prefix}
plugindir	= /usr/lib/kismet
ETC			= ${DESTDIR}/etc/kismet
BIN			= ${DESTDIR}${exec_prefix}/bin
SHARE 		= ${DESTDIR}/usr/share/kismet/
MAN 		= ${DESTDIR}/usr/share/man
LIB			= ${DESTDIR}/usr/lib
WAV 		= ${DESTDIR}/usr/share/kismet/wav/
HTTPD		= ${DESTDIR}/usr/share/kismet/httpd/

PLUGINLDFLAGS +=  -Wl,-O1 -Wl,--as-needed -Wl,--defsym=__gentoo_check_ldflags__=0 -rdynamic

GIT			?= git

